Bug 53912 - problems with CD modules
problems with CD modules
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-21 09:45 EDT by Need Real Name
Modified: 2007-03-26 23:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 13:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-21 09:45:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010701

Description of problem:
when ou try to mount a cd on some machines  you have the following message : 
mount: /dev/cdrom is not a valid block device
if the module module managing the CD is relaoded, it works fine , for a while 
i tried this with SCSI and IDE devices 
this only happens with CDROM

/var/log/messages sample :

Sep 21 10:30:18 localhost kernel: ide-floppy driver 0.97
Sep 21 10:30:18 localhost insmod:
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: insmod ide-cd failed
Sep 21 10:30:18 localhost kernel: hdc: driver not present
Sep 21 10:30:18 localhost kernel: ide-floppy driver 0.97
Sep 21 10:30:18 localhost insmod:
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: insmod ide-cd failed
Sep 21 10:30:18 localhost kernel: hdc: driver not present
Sep 21 10:30:42 localhost kernel: ide-floppy driver 0.97
Sep 21 10:30:42 localhost kernel: hdc: ATAPI 24X CD-ROM drive, 128kB Cache
Sep 21 10:30:42 localhost kernel: Uniform CD-ROM driver Revision: 3.12


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.insert a cd
2.mount /mnt/cdrom
3.voila
	

Actual Results:  see the description

Expected Results:  be able to mount the cd 

Additional info:

this is on the version AFTER ROSWELL : E*****
the gold one we made in guildford ...
Comment 1 David Sainty 2001-10-22 08:09:53 EDT
Yes, this is a valid problem which affects 3 computers that I know of, so far,
on both an upgrade and fresh install.

"depmod -ae" as root, post-install, solves the problem.  For some reason, the
modules.dep is WRONG and does not include mention of ide-cd.o....   not good. 

Note You need to log in before you can comment on or make changes to this bug.